> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reindex raw document



## OpenAPI

````yaml /api-reference/4.2/service-index-pipelines.json post /index-pipelines/{id}/collections/{collection}/reindex
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service index-pipelines
servers:
  - url: /api/apollo/
security: []
tags:
  - name: index-pipelines
paths:
  /index-pipelines/{id}/collections/{collection}/reindex:
    post:
      tags:
        - 4.2 Index Pipelines API
      summary: Reindex raw document
      operationId: reIndex
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: collection
          in: path
          required: true
          schema:
            type: string
        - name: bufferDocsForSolr
          in: query
          required: false
          schema:
            type: boolean
        - name: throwOnError
          in: query
          required: false
          schema:
            type: boolean
            default: true
        - name: parserId
          in: query
          required: false
          schema:
            type: string
        - name: skipParsing
          in: query
          required: false
          schema:
            type: boolean
            default: false
        - name: autoDetectFormat
          in: query
          required: false
          schema:
            type: boolean
            default: true
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/octet-stream
        - name: contentSourceName
          in: query
          required: false
          schema:
            type: string
            default: unknown
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InputStream'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndexPipelineStatResponse'
components:
  schemas:
    InputStream:
      type: object
    IndexPipelineStatResponse:
      type: object
      properties:
        docs:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/PipelineDocument'
        stats:
          type: object
          readOnly: true
          additionalProperties:
            type: object
    PipelineDocument:
      type: object
      properties:
        id:
          type: string
        fields:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/PipelineField'
        metadata:
          type: object
          additionalProperties:
            type: string
        commands:
          type: array
          items:
            $ref: '#/components/schemas/Command'
        hints:
          type: object
          additionalProperties:
            type: array
            uniqueItems: true
            items:
              type: string
    PipelineField:
      type: object
      properties:
        name:
          type: string
        value:
          type: object
        metadata:
          type: object
          additionalProperties:
            type: string
        annotations:
          type: array
          items:
            $ref: '#/components/schemas/Annotation'
    Command:
      type: object
      properties:
        name:
          type: string
          readOnly: true
        params:
          type: object
          readOnly: true
          additionalProperties:
            type: string
    Annotation:
      type: object
      properties:
        type:
          type: string
        start:
          type: integer
          format: int64
        end:
          type: integer
          format: int64
        features:
          type: object
          readOnly: true
          additionalProperties:
            type: string
        label:
          type: string
          readOnly: true
        featureCount:
          type: integer
          format: int32

````